Bug 957727 - cups forks smbclient and other commands from the samba-client package, but doesn't "Requires:" it.
Summary: cups forks smbclient and other commands from the samba-client package, but do...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 957733
TreeView+ depends on / blocked
 
Reported: 2013-04-29 12:00 UTC by Elad Alfassa
Modified: 2015-02-17 15:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:06:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Elad Alfassa 2013-04-29 12:00:48 UTC
in adminutil.c, cups has samba helper functions that work by forking smbclient and similar command line tools, yet the Fedora cups package does not have a dependency on samba-client.

This causes cryptic error messages ("Failed to add a printer" or "CLIENT ERROR NOT POSSIBLE") when trying to add a Samba printer.

Please add the following line to cups.spec:

Requires: samba-client

Comment 1 Rex Dieter 2013-04-30 15:12:02 UTC
windows print queue's have always been a (semi) optional feature in the past, I'd suggest keeping it that way, and simply add
samba-client
to comps as appropriate (to avoid a hard dependency).

If that's agreeable, need to figure out what "comps as appropriate" means. :)

Comment 2 Rex Dieter 2013-04-30 15:14:16 UTC
Confirmed that samba-client is already a default item in comps-f19.xml printing/"Printer Support" group

Comment 3 Elad Alfassa 2013-04-30 15:16:24 UTC
It didn't get automatically installed on an F19 liveCD. if I recall correctly we exclude the printing group from the livecd in the kickstart file

Comment 4 Rex Dieter 2013-04-30 15:19:34 UTC
printing group isn't included on live images ... yet, for whatever reason.  Probably due to space in the past.  Maybe that could be revisited now

Comment 5 Tim Waugh 2013-07-02 08:31:36 UTC
I'm still not entirely sure why you are seeing this symptom.  As far as I can tell the samba-client commands are only used in the cupsAdminExportSamba() function, which is not used by system-config-printer.

Comment 6 Fedora End Of Life 2015-01-09 18:00:05 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-02-17 15:06:21 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.